<?php
namespace Modules\Additional\Specifique\Client30;

use Skeleton\Router;
use Skeleton\Module;
use Psr\Container\ContainerInterface;
use Modules\Additional\Specifique\Client30\Modules\API\Controller\SharePointController;
use Skeleton\Renderer\RendererInterface;

class Specifique30Module extends Module
{

    const DEFINITIONS = __DIR__ . '/config.php';



    // private $router, $container
    public function __construct(ContainerInterface $container)
    {
        $router = $container->get(Router::class);
        $container->get(RendererInterface::class)->addPath('Specifique30', __DIR__);

        $base_url = $container->get('baseUrl') . $container->get('Specifique30.prefix');

        $router->get($base_url . '/api/sharepoint/createDA', SharePointController::class, 'Specifique30.Sharepoint.batchCreateDA');
        $router->get($base_url . '/api/sharepoint/updateDA', SharePointController::class, 'Specifique30.Sharepoint.batchUpdateDA');
        $router->get($base_url . '/api/sharepoint/deactivatedDA', SharePointController::class, 'Specifique30.Sharepoint.batchDeactivateDA');
        $router->get($base_url . '/api/sharepoint/createAO', SharePointController::class, 'Specifique30.Sharepoint.batchCreateAODA');
        $router->get($base_url . '/api/sharepoint/createOP', SharePointController::class, 'Specifique30.Sharepoint.CreateOP');
        $router->get($base_url . '/api/sharepoint/createCDE', SharePointController::class, 'Specifique30.Sharepoint.CreateCDE');
        $router->get($base_url . '/api/sharepoint/updateCDE', SharePointController::class, 'Specifique30.Sharepoint.UpdateCDE');
    }
}
